summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoe <rbo@gmx.us>2024-03-07 14:51:35 +0100
committerJoe <rbo@gmx.us>2024-03-07 14:51:35 +0100
commit9749fe0845f07d9631102948ed6fca59f6867649 (patch)
tree3186a0852a39f932fca0a4a3d7818fe8bce37630
parentup (diff)
downloaddotfiles-bsd-9749fe0845f07d9631102948ed6fca59f6867649.tar.gz
dotfiles-bsd-9749fe0845f07d9631102948ed6fca59f6867649.tar.bz2
dotfiles-bsd-9749fe0845f07d9631102948ed6fca59f6867649.tar.xz
dotfiles-bsd-9749fe0845f07d9631102948ed6fca59f6867649.tar.zst
dotfiles-bsd-9749fe0845f07d9631102948ed6fca59f6867649.zip
up
-rw-r--r--.config/zsh/alias.zsh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.config/zsh/alias.zsh b/.config/zsh/alias.zsh
index 212c99d..83357ff 100644
--- a/.config/zsh/alias.zsh
+++ b/.config/zsh/alias.zsh
@@ -145,6 +145,17 @@ econf() {
$VISUAL $sc
cd $p
}
+de() {
+ p=$(pwd)
+ cd "$HOME"/dev || return
+ sc=$(fzf --preview='head -$FZF_PREVIEW_LINES {}')
+ if [ ! "$sc" ]; then
+ cd $p
+ return
+ fi
+ $VISUAL $sc
+ cd $p
+}
eebin() {
file=$(find "$HOME"/.local/bin -type f | fzf)
[ $? -ne 0 ] && return